# setForcedModules

abstract fun setForcedModules(moduleVersionSelectorNotations: Array<Any>): ResolutionStrategy

Allows forcing certain versions of dependencies, including transitive dependencies. Replaces existing forced modules with the input.

For information on notations see force

Example:

    plugins {
        id 'java' // so that there are some configurations
    }

    configurations.all {
      resolutionStrategy.forcedModules = ['asm:asm-all:3.3.1', 'commons-io:commons-io:1.4']
    }

Content copied to clipboard

#### Return

this ResolutionStrategy instance

#### Since

1.0-milestone-7

#### Parameters

moduleVersionSelectorNotations

typically group:name:version notations to set